Subject: [PATCH 0/4] ppc64 ftrace implementation

From: Torsten Duwe <[email-masked]>
Date: Wed, 3 Jun 2015 15:02:57 +0200

On Tue, May 19, 2015 at 11:52:47AM +0200, Jiri Kosina wrote:
> On Tue, 19 May 2015, Michael Ellerman wrote:
> 
> > > ftrace already handles recursion protection by itself (depending on the 
> > > per-ftrace-ops FTRACE_OPS_FL_RECURSION_SAFE flag).
> > 
> > OK, so I wonder why that's not working for us?
> 
> The situation when traced function recurses to itself is different from 
> the situation when tracing core infrastrcuture would recurse to itself 
> while performing tracing.

I have used this inspiration to add a catch-all parachute for ftrace_caller,
see my last reply. It reappears here as patch 4/4. Expect noticable performance
impact compared to the selected "notrace" attributation discussed here. This should
still be done in a second step especially for the hardware assistance functions
I mentioned.

	Torsten